[问题]新手阿问

为当前最终发行版之前的所有版本提供支持
回复
vanbayern
帖子: 90
注册时间: 2007-09-16 16:05
送出感谢: 0
接收感谢: 0

[问题]新手阿问

#1

帖子 vanbayern » 2007-10-10 21:15

显卡实在搞不定了,对于我这种第一次接触linux的人来说,命令行实在是头疼,我都不知道每个单词是代表什么意思,哪怕我对着论坛上的帖子敲命令,还是无法顺利将我的ati radeon9200的显卡驱动装上,网上有的说开源装,我试了没用,有的直接拿命令行装,可是我运行到/etc/x11/xorg.conf,打开的居然是个空文件。我的步骤如下:

$lspci
$sudo modprobe -r fglrx
$glxinfo |grep vendor
$sudo apt-get remove xorg-driver-fglrx
$sudo apt-get install libgl1-mesa-glx libgl1-mesa-dri
sudo vim /etc/x11/xorg.conf

到这里打开的就是一个空文件了,看提示信息好像还是个新文件,可是资料上面后还显示了很多内容的
比如section "device"
section"monitor"
等等,还有很多
可是那个空文件里面什么都没有,难道就是要我自己新建一个文件,然后把那些代码全部手动敲进去?????


另一个方法我都没看懂,只是说进入/usr/share/fglrx文件夹,然后用超级用户的权限,输入"sh ./fglrx-unintall.sh"
卸载以前的驱动,然后进入ati proprietary linux 驱动下载,然后输入命令"sh ./ato-driver-install-8.28.8.run"运行那个驱动,就可以进入ati的图形界面进行操作了,可是对于我这种第一次接触linux的人来说,如何进入文件夹,如何进入下载,他都没有详细说明,甚至命令解释都没有,很郁闷啊,像我这种被xp养成白痴了的人,ubuntu的教程难道不能为我多考虑考虑?写的更细一点,毕竟不是每个人都是linux用过啊。

反正不管咋说,哪位能帮我把驱动安装上啊,详细一点,如果只是发网址就算了,我把那些网址早就都翻遍了,也都试过,没用啊。

谢谢!!!

补充一句,今天ubuntu经常断网,xp下很正常,不知道为什么,谁能帮忙解释解释?
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2007-10-10 21:19

Linux 是区分大小写的
所以应该

代码: 全选

sudo vim /etc/X11/xorg.conf
而不是

代码: 全选

sudo vim /etc/x11/xorg.conf
要看清楚
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
vanbayern
帖子: 90
注册时间: 2007-09-16 16:05
送出感谢: 0
接收感谢: 0

#3

帖子 vanbayern » 2007-10-10 21:25

鬼吧??????????????????还分大小写啊????????????????

我现在下了一个驱动ato-driver-install-8.28.8.run
如何运行?是不是在linux下双击运行就可以了?如果是命令行的话,如何输入呢?他的路径应该如何描述呢?
谢谢!!!
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#4

帖子 BigSnake.NET » 2007-10-10 21:32

vanbayern 写了:鬼吧??????????????????还分大小写啊????????????????

我现在下了一个驱动ato-driver-install-8.28.8.run
如何运行?是不是在linux下双击运行就可以了?如果是命令行的话,如何输入呢?他的路径应该如何描述呢?
谢谢!!!
建议用第一种方法

Linux 运行的文件必须要有可执行权限
所以先

代码: 全选

chmod a+rx ato-driver-install-8.28.8.run
路径用相对路径或绝对路径都可以,注意如果在当前目录下的话,不能像windows下面的

代码: 全选

ato-driver-install-8.28.8.run
而是要

代码: 全选

./ato-driver-install-8.28.8.run
为了要取得超级用户权限,还必须用sudo运行,所以命令行应该这样

代码: 全选

sudo ./ato-driver-install-8.28.8.run
另外在命令行下输入命令或路径,输开头几个字母,按 Tab 键, 会自动补全
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
vanbayern
帖子: 90
注册时间: 2007-09-16 16:05
送出感谢: 0
接收感谢: 0

谢谢,我马上试试!

#5

帖子 vanbayern » 2007-10-10 21:36

谢谢,我马上试试!!!!
回复

回到 “老旧版本支持”